searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `Inet`.","ref":"Inet.html","title":"Inet","type":"module"},{"doc":"A function that takes a ip address and returns a list of dns.","ref":"Inet.html#get_dns_list/1","title":"Inet.get_dns_list/1","type":"function"},{"doc":"iex> Inet.get_dns_list(\"172.217.27.46\")","ref":"Inet.html#get_dns_list/1-examples","title":"Examples - Inet.get_dns_list/1","type":"function"},{"doc":"A convenience function that calls `:inet.gethostbyaddr`.","ref":"Inet.html#get_host_by_addr/1","title":"Inet.get_host_by_addr/1","type":"function"},{"doc":"iex> Inet.get_host_by_addr(\"172.217.27.46\")","ref":"Inet.html#get_host_by_addr/1-examples","title":"Examples - Inet.get_host_by_addr/1","type":"function"},{"doc":"A convenience function that calls `:inet.gethostbyname`.","ref":"Inet.html#get_host_by_name/1","title":"Inet.get_host_by_name/1","type":"function"},{"doc":"iex> Inet.get_host_by_name(\"google.com\")","ref":"Inet.html#get_host_by_name/1-examples","title":"Examples - Inet.get_host_by_name/1","type":"function"},{"doc":"A function that takes a hostname and returns a list of IP addresses.\nThe IP address in the result may vary as it depends on the network and DNS resolution.","ref":"Inet.html#get_ip_address_list/1","title":"Inet.get_ip_address_list/1","type":"function"},{"doc":"iex> Inet.get_ip_address_list(\"google.com\")","ref":"Inet.html#get_ip_address_list/1-examples","title":"Examples - Inet.get_ip_address_list/1","type":"function"},{"doc":"# Inet.ex\n\n`Inet.ex` was created in Elixir to simplify the invocation of address and DNS queries using `:inet`.","ref":"readme.html","title":"Inet.ex","type":"extras"},{"doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `inet_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:inet_ex, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - Inet.ex","type":"extras"},{"doc":"#","ref":"readme.html#usage","title":"Usage - Inet.ex","type":"extras"},{"doc":"```elixir\niex> {:ok, ip_address_list} = Inet.get_ip_address_list(\"www.google.com\")\n{:ok, [\"142.251.220.68\"]}\n\n# This is direct calling :inet.gethostbyname()\niex> Inet.get_host_by_name(\"www.google.com\")\n{:ok, {:hostent, 'www.google.com', [], :inet, 4, [{142, 250, 66, 132}]}}\n```\n\n#","ref":"readme.html#get-ip-address-list-by-host-name","title":"Get ip address list by host name - Inet.ex","type":"extras"},{"doc":"```elixir\niex>  {:ok, dns_list} = Inet.get_dns_list(\"8.8.8.8\")\n{:ok, ['one.one.one.one']}\n\n# This is direct calling :inet.gethotbyaddr()\niex> Inet.get_host_by_addr(\"8.8.8.8\")\n{:ok,\n {:hostent, 'dns.google', ['8.8.8.8.in-addr.arpa'], :inet, 4, [{8, 8, 8, 8}]}}\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#get-dns-list-by-ip-address","title":"Get dns list by ip address - Inet.ex","type":"extras"}]}